Creates a new purchase order order line
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "6b7cd66e-f883-48fa-bedd-040d5c19e6f1",
"purchase_order_id": "5b580083-da22-4f54-9f1e-6967a5f22084",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "ed33bd9f-4ae2-480d-8081-ca7fff45b0f5",
"id2": 2,
"jobs_id": "46499f50-9542-413c-a32f-273b082c1749",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "eab1e2ce-e9a0-4443-82e2-5779aec17d61",
"supplier_company_code": "sample string 6",
"user_id": "0644f8c1-0849-4c46-a593-02d501caaeb0",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-10-21T06:01:15.2635575+00:00",
"date_update": "2026-10-21T06:01:15.2635575+00:00",
"date_delivery": "2026-10-21T06:01:15.2635575+00:00",
"confirmed_date_delivery": "2026-10-21T06:01:15.2635575+00:00",
"delivery_db_address_id": "b4f3cdf7-77ce-4664-82c7-eabcca378ccb",
"approved_by_user_id": "3f1c6e41-02be-4e41-9d35-86be501773b6",
"approved_by_user_code": "sample string 18",
"technical_user_id": "6ea274c1-47e3-427b-bdd2-c8e135e3afbb",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "b64287c5-af15-4cb4-9784-afd00fcd753f",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "eefa3fe3-7f4e-4b84-8662-1bb6712d15ca",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-10-21T06:01:15.2635575+00:00"
},
"article_id": "896956e4-d23c-4dc9-960d-f4f188d39d0d",
"article_code": "sample string 5",
"article": {
"id": "d13a7c99-37eb-4f83-a07d-a852e5a9e735",
"article_category_id": "1197f04a-b042-4030-9a01-a633321514dd",
"article_category": {
"id": "15aeb55a-8e62-4a8e-b18b-52179384a0f3",
"parent_id": "8ab0474b-c616-4ecf-9463-82df2ae28e14",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-21T06:01:15.2635575+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "460199ca-b7b7-40d2-9024-b8a53e446977",
"article_group_1_code": "sample string 5",
"article_group_2_id": "68e53989-ad68-4039-8946-e6bb4cea7a96",
"article_group_2_code": "sample string 7",
"article_group_3_id": "c8452d2c-67ff-4eb3-8e8e-a07a33758bb7",
"article_group_3_code": "sample string 9",
"article_group_4_id": "9e72b4f1-a97a-4c8e-a674-effec91f6063",
"article_group_4_code": "sample string 11",
"article_group_5_id": "1ccbbe2e-92fe-49b8-abfb-67abdd086ec1",
"article_group_5_code": "sample string 13",
"article_group_6_id": "d7a8feb7-f4fc-495f-9acf-2e11eb3cb69d",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-21T06:01:15.2635575+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-21T06:01:15.2635575+00:00",
"date_update": "2026-10-21T06:01:15.2635575+00:00",
"modified_dateutc": "2026-10-21T06:01:15.2635575+00:00",
"article_color_id": "9a1e1dad-b1e7-42c6-9031-1547d943da72",
"article_color_code": "sample string 38",
"article_color": {
"id": "68313226-22ce-452f-8171-716ae8ce5eb4",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-21T06:01:15.2635575+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "e05d136a-2d39-45bd-b3a4-c6889be794ba",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "e1e0fcb9-eaaa-4474-92da-cd57ded7441c",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-10-21T06:01:15.2635575+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.